SUBPTOOLS(1)

NAME
subptools - manipulates xml subtitles files

SYNOPSIS
subptools [-hrsvw] [-a hh:mm:ss,ms] [-c first[,last]] [-d seconds] [-e seconds] [-i file] [-o file] [-t format]

DESCRIPTION
The subptools command performs various manipulations on xml subtitles files, acting as a filter from standard input to standard output unless -i or -o options are used.

subtools can be used to handle so-called xml subtitles files, where each subtitle entry is actually a filename to be substituted for the entry, or to adjust timestamps on each subtitle entry.

The options are as follows:

-a, --adjust hh:mm:ss,ms
    Adjust all time stamps so that the first tag begins at hh:mm:ss,ms.

-c, --cut first[,last]
    Write only entries numbered from first to last, where last defaults to the last entry of the file.

-d, --shift seconds
    Shift all time stamps by seconds seconds.

-e, --expand seconds
    Expand the subtitle hour by seconds seconds.

-c, --convert format
    Convert the xml subtitles file into a srt (default) or spumux file.

-h, --help
    Display usage and quit.

-i, --input filename
    Use file filename for input, defaults to stdin.

-o, --output filename
    Use file filename for output, defaults to stdout.

-r, --renumber
    Renumber all entries.

-s, --subst
    Substitute filename in each subtitle entry by the file contents.

-v, --verbose
    Verbose mode.

-w, --strip
    Remove leading white space

SEE ALSO
subp2pgm(1) spumux(1)

AUTHORS
Manual page by Marc Espie, Olivier Rolland